parameters:
    orocrm_report.report.filter.period.class:             OroCRM\Bundle\ReportBundle\Filter\PeriodFilter
    orocrm_report.report.grid.listener.class:             OroCRM\Bundle\ReportBundle\EventListener\ReportGridListener

services:
    orocrm_report.report.filter.period:
        class: %orocrm_report.report.filter.period.class%
        arguments:
            - @form.factory
            - @oro_filter.filter_utility
        tags:
            - { name:oro_filter.extension.orm_filter.filter, type: orocrm_period_filter }

    orocrm_report.report.grid.listener:
        class: %orocrm_report.report.grid.listener.class%
        tags:
            -
                name:   kernel.event_listener
                event:  oro_datagrid.datagrid.build.before.orocrm_report-opportunities-won_by_period
                method: onBuildBefore
